<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent">

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:background="#000000">

        <SurfaceView
            android:id="@+id/preview_view"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:layout_gravity="center" />

        <com.bokecc.vod.scan.zxing.view.ViewfinderView
            android:id="@+id/viewfinder_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <RelativeLayout
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?attr/actionBarSize"
            android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

            <ImageView
                android:id="@+id/iv_back"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:src="@mipmap/nav_ic_back_nor_white" />

            <TextView
                android:id="@+id/tv_nav_title"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:layout_centerInParent="true"
                android:gravity="center"
                android:text="扫描观看地址二维码"
                android:textColor="#FFFFFF"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_photo"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:paddingLeft="15dp"
                android:paddingRight="15dp"
                android:layout_alignParentRight="true"
                android:gravity="center"
                android:src="@mipmap/nav_ic_code"
                android:text="相册"
                android:textColor="#FFFFFF"
                android:textSize="15sp" />
        </RelativeLayout>

    </RelativeLayout>

</FrameLayout>